package com.example.countingthedays

import android.os.Bundle
import android.view.View
import android.widget.Button
import android.widget.CalendarView
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity

import java.util.Calendar

/*
may have issues with time zones -- depending on the time of day
*/

class MainActivity : AppCompatActivity() {

    //sets date to December (months start at 0) 25th 2019
    internal var myYear = 2019
    internal var myMonth = 11
    internal var myDay = 25

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        val btnDetermine = findViewById(R.id.BtnDetermine) as Button
        val cvDate = findViewById(R.id.cvDate) as CalendarView
        val tvResult = findViewById(R.id.tvResult) as TextView

        val display = Calendar.getInstance()
        display.set(myYear, myMonth, myDay)  //sets date using myYear, myMonth, and myDay
        cvDate.date = display.timeInMillis // Direct the Calendar View to the display date

        // calendar date change event handler
        cvDate.setOnDateChangeListener { calendarView, year, month, day ->
            myYear = year
            myMonth = month
            myDay = day
            btnDetermine.performClick() //like the user clicked the button
        }

        //
        btnDetermine.setOnClickListener {
            val today = Calendar.getInstance()
            val later = Calendar.getInstance()
            later.set(myYear, myMonth, myDay)
            //Calendar later = new GregorianCalendar(year, month, day);
            val diff = (later.timeInMillis - today.timeInMillis) / (1000 * 60 * 60 * 24)
            /*
                1000 milliseconds in a second
                60 seconds in a minute
                60 minutes in an hour
                24 hours in a day
            */
            tvResult.text = java.lang.Long.toString(diff) + " days from now."
        }

    } //end onCreate
}//end MainActivity

